1. Products
RockTest
  • Auth
    • Register
      POST
    • Login
      POST
  • Category
    • Create
      POST
    • Update
      PUT
    • Get
      GET
    • Delete
      DELETE
  • Products
    • Create
      POST
    • Get
      GET
    • Update
      PUT
    • Delete
      DELETE
  1. Products

Update

Em desenvolvimento
PUT
/products/{id}

Requisição

Parâmetros de Caminho

Parâmetros Header

Parâmetros Bodyapplication/jsonObrigatório

Examples

Respostas

🟢200Sucesso
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/products/1' \
--header 'Authorization: Bearer {{AuthToken}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "success": true,
  "message": "Product updated successfully.",
  "data": {
    "id": 1,
    "name": "Notebook Dell Inspiron",
    "description": "Notebook atualizado",
    "price": "4599.90",
    "image_url": "https://site.com/imagem-nova.jpg",
    "category": {
      "id": 2,
      "name": "Informática"
    },
    "created_at": "2026-03-27T10:00:00Z",
    "updated_at": "2026-03-27T11:00:00Z"
  }
}'
Response Response Example
Sucesso
{
    "success": true,
    "message": "Category created successfully.",
    "data": {
        "id": 1,
        "name": "Eletrônicos"
    }
}
Modificado em 2026-03-28 02:36:49
Página anterior
Get
Próxima página
Delete
Built with